org.apache.fop.fo.properties

## Class FontShorthandParser

- java.lang.Object
- - org.apache.fop.fo.properties.GenericShorthandParser
  - - org.apache.fop.fo.properties.FontShorthandParser

All Implemented Interfaces:
  ShorthandParser

    public class FontShorthandParser
    extends GenericShorthandParser

A shorthand parser for the font shorthand property

### Constructor Summary

Constructors
Constructor and Description
`FontShorthandParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Property` `getValueForProperty(int propId, Property property, PropertyMaker maker, PropertyList propertyList)`

### Methods inherited from class org.apache.fop.fo.properties.GenericShorthandParser

`convertValueForProperty, getElement, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FontShorthandParser

    public FontShorthandParser()

### Method Detail

#### getValueForProperty

    public Property getValueForProperty(int propId,
                                        Property property,
                                        PropertyMaker maker,
                                        PropertyList propertyList)
                                 throws PropertyException

Specified by:
  `getValueForProperty` in interface `ShorthandParser`
Overrides:
  `getValueForProperty` in class `GenericShorthandParser`
Parameters:
  `propId` - the property ID in the Constants interface
  `property` - from which value is obtained
  `maker` - Maker object for the Property
  `propertyList` - list of properties
Returns:
  Property object corresponding to propName
Throws:
  `PropertyException` - in case a property exception occurs